package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class PlanningPelayanan
 * 
 * @author Generator
 */
@Entity
@Table(name = "PlanningPelayananDbhp_T")
public class PlanningPelayananDbhp extends BaseTransaction {
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectStrukPlanningFk")
	@Caption(value="Struk Planning")
	private StrukPlanning strukPlanning;

	@Column(name = "ObjectStrukPlanningFk", insertable=false,updatable=false)
	private String strukPlanningId;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectStrukOrderFk")
	@Caption(value="Struk Planning")
	private StrukOrder strukOrder;

	@Column(name = "ObjectStrukOrderFk", insertable=false,updatable=false)
	private String strukOrderId;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectProdukFk")
	@Caption(value="Produk")
	private Produk produk;

	@Column(name = "ObjectProdukFk", insertable=false,updatable=false)
	private Integer produkId;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectRuanganFk")
	@Caption(value="Ruangan")
	private Ruangan ruangan;

	@Column(name = "ObjectRuanganFk", insertable=false,updatable=false)
	private Integer ruanganId;
	
	@Column(name = "tanggalPlanning")
	private Date tanggalPlanning;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectSatuanStandarFk")
	@Caption(value="Ruangan")
	private SatuanStandar satuanStandar;

	@Column(name = "ObjectSatuanStandarFk", insertable=false,updatable=false)
	private Integer satuanStandarId;
	
	@Column(name = "qtyProduk")
	private Double qtyProduk;

	@Column(name = "hargaNetto")
	private Double hargaNetto;

	@Column(name = "hargaSatuan")
	private Double hargaSatuan;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectRegistrasiAsetFk")
	@Caption(value="RegistrasiAset")
	private RegistrasiAset registrasiAset;

	@Column(name = "ObjectRegistrasiAsetFk", insertable=false,updatable=false)
	private String registrasiAsetId;
	
	@Column(name="Keterangan")
	private String keterangan;

	public StrukPlanning getStrukPlanning() {
		return strukPlanning;
	}

	public void setStrukPlanning(StrukPlanning strukPlanning) {
		this.strukPlanning = strukPlanning;
	}

	public String getStrukPlanningId() {
		return strukPlanningId;
	}

	public void setStrukPlanningId(String strukPlanningId) {
		this.strukPlanningId = strukPlanningId;
	}

	public StrukOrder getStrukOrder() {
		return strukOrder;
	}

	public void setStrukOrder(StrukOrder strukOrder) {
		this.strukOrder = strukOrder;
	}

	public String getStrukOrderId() {
		return strukOrderId;
	}

	public void setStrukOrderId(String strukOrderId) {
		this.strukOrderId = strukOrderId;
	}

	public Produk getProduk() {
		return produk;
	}

	public void setProduk(Produk produk) {
		this.produk = produk;
	}

	public Integer getProdukId() {
		return produkId;
	}

	public void setProdukId(Integer produkId) {
		this.produkId = produkId;
	}

	public Ruangan getRuangan() {
		return ruangan;
	}

	public void setRuangan(Ruangan ruangan) {
		this.ruangan = ruangan;
	}

	public Integer getRuanganId() {
		return ruanganId;
	}

	public void setRuanganId(Integer ruanganId) {
		this.ruanganId = ruanganId;
	}

	public Date getTanggalPlanning() {
		return tanggalPlanning;
	}

	public void setTanggalPlanning(Date tanggalPlanning) {
		this.tanggalPlanning = tanggalPlanning;
	}

	public SatuanStandar getSatuanStandar() {
		return satuanStandar;
	}

	public void setSatuanStandar(SatuanStandar satuanStandar) {
		this.satuanStandar = satuanStandar;
	}

	public Integer getSatuanStandarId() {
		return satuanStandarId;
	}

	public void setSatuanStandarId(Integer satuanStandarId) {
		this.satuanStandarId = satuanStandarId;
	}

	public Double getQtyProduk() {
		return qtyProduk;
	}

	public void setQtyProduk(Double qtyProduk) {
		this.qtyProduk = qtyProduk;
	}

	public Double getHargaNetto() {
		return hargaNetto;
	}

	public void setHargaNetto(Double hargaNetto) {
		this.hargaNetto = hargaNetto;
	}

	public Double getHargaSatuan() {
		return hargaSatuan;
	}

	public void setHargaSatuan(Double hargaSatuan) {
		this.hargaSatuan = hargaSatuan;
	}

	public RegistrasiAset getRegistrasiAset() {
		return registrasiAset;
	}

	public void setRegistrasiAset(RegistrasiAset registrasiAset) {
		this.registrasiAset = registrasiAset;
	}

	public String getRegistrasiAsetId() {
		return registrasiAsetId;
	}

	public void setRegistrasiAsetId(String registrasiAsetId) {
		this.registrasiAsetId = registrasiAsetId;
	}

	public String getKeterangan() {
		return keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}
	
	
}

